2018-02-08  K. Handa  <handa@gnu.org>

	Version 1.8.0 released.

	* configure.ac: Version changed to 1.8.0.

2017-12-09  handa  <handa@gnu.org>

	* MIM/zh-zhuyin.mim: Chinese input method name to zh-zhuyin.

	* MIM/uk-kbd.mim: Renamed from ua-kbd.mim.  Language name fixed
	(bug #45221).

	* MIM/global.mim (first): Fix typo (bug #45075).

2017-12-08  Jithin Thankachan <jithin@space-kerala.org>

	* MIM/ml-enhanced-inscript.mim: New file.

2017-12-08  Jón Fairbairn  <jf-nongnu@bookofsand.co.uk>

	* MIM/rfc1345.mim: Add rules for a few more ASCII characters.

2017-11-05  handa  <handa@gnu.org>

	* FLT/LAOO-OTF.flt (layouter): Do not limit to "phetsarath ot".
	Add OTF spec.

2017-06-27  handa  <handa@gnu.org>

	* FLT/BENG-OTF.flt (generator:lang-forms): Apply blwf,half,vatu to
	multiple characters before HALANT.

2017-06-27  U. Sudhakar <sudhakaru@cdac.in>

	* MIM/mr-remigton.mim: New input method.

        * MIM/mr-typewriter.mim: New input method.

2017-01-24 Santosh Pradhan <sapradhan8@gmail.com>

	* MIM/ne-rom-translit.mim: New input method.

	* MIM/ne-trad-ttf.mim: New input method.

	* icons/ne-trad-ttf.png: New icon file.

2016-08-26  K. Handa  <handa@gnu.org>

	* MIM/lsymbol.mim (multi-choice): Add more symbols for hand
	gestures, happy/unhappy/neutral faces, hearts, stars, spiritual,
	checks, and legal/text signs.

	* .gitignore: Add "compile".

2016-08-25  Mike FABIAN  <mfabian@redhat.com>

	* MIM/hu-rovas-post.mim: New input method.

2016-02-03  K. Handa  <handa@gnu.org>

	* MIM/lsymbol.mim (multi-choice): Add more symbols.

2016-02-02  K. Handa  <handa@gnu.org>

	* MIM/lsymbol.mim (multi-choice): New maps for many symbols.
	(choose, change-candidate, focus-move, focus-change, backspace)
	(commit-preedit): New maps copied from zh-util.mim.
	(check-undo, select): New states copied from zh-util.mim.

2016-01-24  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/kn-optitransv2.mim: (dot_start): Renamed from danda.  Add
	"./" key map.
	(misc): Delete this map.
	(state_init): Delete "misc" branch.  Change "danda" branch to
	"dot_start".

2016-01-20  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/hi-optitransv2.mim: (dot_start): Renamed from danda.  Add
	"./" key map.
	(misc): Delete this map.
	(state_init): Delete "misc" branch.  Change "danda" branch to
	"dot_start".

2015-11-27  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/hi-optitransv2.mim: Improve the description string.

	* MIM/kn-optitransv2.mim: Improve the description string.

2015-11-25  B. Riefenstahl  <b.riefenstahl@turtle-trading.net>  (tiny chnage)

	* FLT/HEBR-OTF.flt (category): Add Yiddish ligature.
	(generator): Re-order marks.  Generalize the previous change (bug
	#46399).

2015-11-25  K. Handa  <handa@gnu.org>

	* FLT/HEBR-OTF.flt (generator)  Add code for handling combining
	marks not handled by OTF tables (bug #46399).

2015-09-19  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/kn-optitransv2.mim (consonant_with_space): New map separated
	from consonant.
	(state_indic_letter, state_consonant_pressed) Add a branch for
	consonant_with_space.

	* MIM/hi-optitransv2.mim (consonant_with_space): New map separated
	from consonant.
	(state_indic_letter, state_consonant_pressed) Add a branch for
	consonant_with_space.

	* icons/hi-optitransv2.png: New icon file.

	* icons/kn-optitransv2.png: New icon file.

2015-09-19  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/kn-optitransv2.mim: New input method.

	* MIM/hi-optitransv2.mim: New input method.

2015-07-18  handa  <handa@gnu.org>

	* FLT/COMBINING.flt: Suppress GSUB lookups.

2015-04-05  K. Handa  <handa@gnu.org>

	* m17n-db.in: Change encoding to utf-8.

	* FORMATS/IM.ja.txt: Delete local variables section at the end.

2014-12-12  K. Handa  <handa@gnu.org>

	* Version 1.7.0 released.

2014-11-10  K. Handa  <handa@gnu.org>

	* configure.ac: Versions changed to 1.7.0.

	* .gitignore: Add po/Makevars.template.

2014-11-10  Joop Kiefte  <ikojba@gmail.com>

	* MIM/ar-translit.mim: New input method.

2014-09-15  Florêncio Neves  <florencioneves@gmail.com>

	* MIM/latn1-pre.mim: New input method.

2014-08-14  Elie Roux  <elie.roux@telecom-bretagne.eu>

	* MIM/bo-ewts.mim (map:vowel): Fix previous change.

2014-07-25  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/sa-itrans.mim (map:independent): Change Kannada sign
	JIHVAMULIYA and UPADHMANIYA to the corresponding Vedic signs.

2014-07-25  K. Handa  <handa@gnu.org>

	* MIM/sa-itrans.mim (state:init): Add udatta.

2014-07-16  Elie Roux  <elie.roux@telecom-bretagne.eu>

	* MIM/bo-ewts.mim: Make it more compatible with EWTS.
	(variable:precomposed): Change the default value to 1.
	(map:standard-stack): Fix bug#42656 (mapping for "brl").  Add
	missing EWTS mappings.
	(map:vowel): Replace characters deprecated in Unicode 7.0 with the
	correponding character sequences.
	(map:consonant): Removing ambiguous combinations not in EWTS standard.
	(map:special-subjoined): Add more Unicode compositions.

2014-04-09  Srikanth Lakshmanan  <srik.lak@gmail.com>

	* MIM/ta-phonetic.mim (map:trans), MIM/ta-tamil99.mim (map:trans):
	Add missing characters ஶ்,க்‌ஷ் (non conjunct) series, symbols and
	fixing SRI ஶ்ரீ as per Unicode 4.1 guidelines.

2014-03-28  K. Handa  <handa@gnu.org>

	* MIM/ne-rom.mim (map:trans): Remove unnecessary equivalent
	mappings.

2014-03-28  Santosh Pradhan  <sapradhan8@gmail.com>

	* MIM/ne-trad.mim (map:trans): Fix mappings to be compatible with
	LTK.

	* MIM/ne-rom.mim (map:trans): Fix mappings to be compatible with
	LTK.

2014-03-23  K. Handa  <handa@gnu.org>

	* .gitignore: Include *~.

	* MIM/hi-itrans.mim (map:misc): Remove it.
	(state:init): Remove the branch "misc".

	* configure.ac (AM_INIT_AUTOMAKE): Remove arguments.

	* Makefile.am (pkgdata_DATA, EXTRA_DIST): Remove @ICONS@.
	(iconsdir, dist_icons_DATA): New varibables.

	* po/m17n-db.pot, po/de.po, po/eo.po, po/ja.po, po/vi.po: Updated
	for the changes of global.mim, lsymbol.mim, and ssymbol.mim.

2014-03-22  K. Handa  <handa@gnu.org>

	* MIM/lsymbol.mim, MIM/ssymbol.mim: New input methods.

2014-02-23  K. Handa  <handa@gnu.org>

	* MIM/global.mim (fallback-input-method): New global variable.

2013-12-07  K. Handa  <handa@gnu.org>

	* Version 1.6.5 released.

2013-11-11  Kenichi Handa  <handa@gnu.org>

	* configure.ac: Versions changed to 1.6.5.

2013-11-09  Kenichi Handa  <handa@gnu.org>

	* Makefile.am (EXTRA_DIST): Add tbl2mim.awk.

2013-11-09  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/hi-itrans.mim (starter): Remove "^".
	(independent): Remvoe the mapping for "^".

2013-11-07  Kenichi Handa  <handa@gnu.org>

	* default.fst (katakana): Remove superfluous close paren.

	* .gitignore, LANGDATA/.gitignore, po/.gitignore: New files

	* .cvsignore, */.cvsignore: Remove them.

2013-08-26  Sebin Abraham Jacob  <sebinajacob@gmail.com>

	* MIM/ml-remington.mim: New input method.

2013-08-26  Hiran Venugopal  <hiran.v@gmail.com>

	* icons/ml-remington.png: New icon file.

2013-08-20  Dominik Wujastyk  <wujastyk@gmail.com>

	* MIM/sa-harvard-kyoto.mim: Add mappings for avagraha (".a"),
	danda ("|"), double danda ("!"), and Om ("OM").

2013-08-20  Anubhav Chattoraj  <anubhav.chattoraj@gmail.com>

	* icons/sa-IAST.png: New icon file.

2013-08-20  Sayak Sarkar  <sayak.bugsmith@gmail.com>

	* icons/bn-disha.png: New icon file.

2013-08-20  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/kn-itrans.mim: Carrying over improvements from hi-intrans to
	kn-itrans.mim (e.g. write ಶಂಕರ by typing shankara).

	* MIM/hi-itrans.mim (map:starter): Add "ks" mapping.

2013-08-19  Raghav Krishnapriyan  <raghav.k11n@gmail.com>

	* MIM/yi-yivo.mim: Add various maps.

2013-04-13  Kenichi Handa  <handa@gnu.org>

	* AUTHORS: Merged from m17n-contrib.

	* Makefile.am (m17n_scriptdir): New variable.
	(m17n_script_SCRIPTS): New variable.

	* MIM/as-inscript.mim, MIM/as-phonetic.mim, MIM/ath-phonetic.mim,
	MIM/be-kbd.mim, MIM/bla-phonetic.mim, MIM/bn-disha.mim,
	MIM/bn-inscript.mim, MIM/bn-probhat.mim, MIM/bo-ewts.mim,
	MIM/cr-western.mim, MIM/cs-kbd.mim, MIM/eo-h-f.mim, MIM/eo-h.mim,
	MIM/eo-plena.mim, MIM/eo-q.mim, MIM/eo-vi.mim, MIM/eo-x.mim,
	MIM/gu-inscript.mim, MIM/gu-phonetic.mim, MIM/hi-inscript.mim,
	MIM/hi-phonetic.mim, MIM/hi-remington.mim, MIM/hi-vedmata.mim,
	MIM/ii-phonetic.mim, MIM/iu-phonetic.mim, MIM/kn-inscript.mim,
	MIM/kn-kgp.mim, MIM/kn-typewriter.mim, MIM/ks-inscript.mim,
	MIM/ks-kbd.mim, MIM/mai-inscript.mim, MIM/math-latex.mim,
	MIM/ml-inscript.mim, MIM/ml-mozhi.mim, MIM/ml-swanalekha.mim,
	MIM/mr-inscript.mim, MIM/mr-itrans.mim, MIM/mr-phonetic.mim,
	MIM/ne-rom.mim, MIM/ne-trad.mim, MIM/nsk-phonetic.mim,
	MIM/oj-phonetic.mim, MIM/or-inscript.mim, MIM/or-phonetic.mim,
	MIM/pa-anmollipi.mim, MIM/pa-inscript.mim, MIM/pa-jhelum.mim,
	MIM/pa-phonetic.mim, MIM/ps-phonetic.mim, MIM/ru-translit.mim,
	MIM/sa-iast.mim, MIM/sd-inscript.mim, MIM/si-phonetic-dynamic.mim,
	MIM/si-singlish.mim, MIM/si-sumihiri.mim, MIM/si-trans.mim,
	MIM/ta-inscript.mim, MIM/ta-phonetic.mim, MIM/ta-tamil99.mim,
	MIM/ta-typewriter.mim, MIM/ta-vutam.mim, MIM/tai-sonla.mim,
	MIM/te-apple.mim, MIM/te-inscript.mim, MIM/te-pothana.mim,
	MIM/te-rts.mim, MIM/te-sarala.mim, MIM/ur-phonetic.mim,
	MIM/uz-kbd.mim, MIM/vi-han.mim, MIM/vi-nom-vni.mim,
	MIM/vi-nom.mim, MIM/yi-yivo.mim, MIM/zh-pinyin-vi.mim,
	MIM/zh-zhuyin.mim: Merged from the m17n-contrib package.

	* icons/as-inscript.png, icons/as-phonetic.png, icons/be-kbd.png,
	icons/bn-inscript.png, icons/bn-probhat.png, icons/cs-kbd.png,
	icons/eo-h-fundamente.png, icons/eo-h-sistemo.png,
	icons/eo-plena.png, icons/eo-q-sistemo.png,
	icons/eo-x-sistemo.png, icons/gu-inscript.png,
	icons/gu-phonetic.png, icons/hi-inscript.png,
	icons/hi-phonetic.png, icons/hi-remington.png,
	icons/hi-vedmata.png, icons/ii-phonetic.png,
	icons/kn-inscript.png, icons/kn-kgp.png, icons/math-latex.png,
	icons/ml-inscript.png, icons/ml-mozhi.png,
	icons/ml-swanalekha.png, icons/mr-inscript.png, icons/ne-rom.png,
	icons/ne-trad.png, icons/or-inscript.png, icons/pa-inscript.png,
	icons/pa-jhelum.png, icons/pa-phonetic.png, icons/ps-phonetic.png,
	icons/sd-inscript.png, icons/si-phonetic-dynamic.png,
	icons/si-sumihiri.png, icons/si-transliteration.png,
	icons/ta-inscript.png, icons/ta-phonetic.png,
	icons/ta-tamil99.png, icons/ta-typewriter.png, icons/ta-vutam.png,
	icons/te-apple.png, icons/te-inscript.png, icons/te-pothana.png,
	icons/te-sarala.png, icons/ur-phonetic.png, icons/uz-kbd.png,
	icons/vi-nom-vni.png, icons/vi-nom.png, icons/yi-yivo.png,
	icons/zh-zhuyin.png: Merged from the m17n-contrib package.

	* tbl2mim.awk: Merged from the m17n-contrib package.

	* ChangeLog.contrib, NEWS.contrib: Copied from ChangeLog and NEWS
	of the m17n-contrib package.

2013-02-03  Kenichi Handa  <handa@gnu.org>

	* Makefile.am (SUBDIRS): Delete FLT and MIM.
	(pkgdata_DATA): Add @INPUT_METHOD@, @FLT@, and @ICONS@.
	(EXTRA_DIST): Likewise.

	* configure.ac (INPUT_METHOD, FLT): New variables.
	(ICONS): Set it with sub-directory name.
	(AC_CONFIG_FILES): Delete icons/Makefile, FLT/Makefile,
	MIM/Makefile.

	* FLT/Makefile.am, MIM/Makefile.am, icons/Makefile.am: Deleted.

2012-12-29  Kenichi Handa  <handa@gnu.org>

	* FORMATS/0Genenral.ja.txt: Encoding changed to utf-8.

	* FORMATS/CharsetList.ja.txt: Likewise.

	* FORMATS/CodingList.ja.txt: Likewise.

	* FORMATS/Dir.ja.txt: Likewise.

	* FORMATS/FLT.ja.txt: Likewise.

	* FORMATS/FontEncoding.ja.txt: Likewise.

	* FORMATS/Fontset.ja.txt: Likewise.

	* FORMATS/IM.ja.txt: Likewise. Add examples in Japanese.

2012-12-22  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/hi-itrans.mim (map:consonant): Add mappings "nx", "gH", jH",
	"DH", and "bH", delete "ggg", "jjj", "DDD", "bbb".
	(map:independent): Remove mapping "#", "*", and "]" which must be
	used for inputting the corresponding symbols.

	* icons/sa-itrans.png: New file.

2012-11-20  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/hi-itrans.mim (description): Improved.
	(map:consonant, map:independent, map:dependent): Add more mappings.

	* MIM/sa-itrans.mim (description): Refer to hi-itrans.mim.

2012-11-15  Kenichi Handa  <handa@gnu.org>

	* MIM/sa-itrans.mim (state:init): Add "misc" branch.

	* MIM/hi-itrans.mim (map:starter): Cancel the previous change.
	Add "]".
	(map:cosonant): Add keys for consonants with NUKTA.
	(map:danda): Add more keys that change "." to DANDA.
	(map:commit-key): Change "./" to S-C-Return.
	(map:misc): New map.
	(state:init): Add "misc" branch.

2012-11-01  Kenichi Handa  <handa@gnu.org>

	* MIM/hi-itrans.mim (enable-udatta): Delete it.
	(map:starter): Add "_" and "'".
	(map:danda): Renamed back from danda-udatta.  Delete ".'" and
	".-".  Add ". ".
	(map:return): Delete it.
	(map:commit-key): New map for "./".
	(state:intermediate, state:second, state:after-eo): Change
	danda-udatta to danda.  Change return to commit-key.

	* MIM/sa-itrans.mim: Do not include states of hi-itrans.
	(map:udatta): New map.
	(state): Copied from hi-itrans.  Add udatta to each state.

2012-10-22  Kenichi Handa  <handa@gnu.org>

	* MIM/sa-itrans.mim (enable-udatta): Set to 1.

	* MIM/hi-itrans.mim (enable-udatta): New variable.
	(map:danda-udatta): Renamed from danda.  Add mappings for udatta
	and anundatta.
	(state:intermediate, state:second, state:after-eo): Adjusted for
	the above change.

2012-10-21  Kenichi Handa  <handa@gnu.org>

	* MIM/ml-itrans.mim: Refer to SCIM only as an example of input
	method framework.  Format key mappings.

2012-10-20  Kenichi Handa  <handa@gnu.org>

	* .cvsignore: Add *.sig.

2012-10-20  Shankar Prasad  <svenkate@redhat.com>

	* MIM/kn-itrans.mim: Add examples to the description.

2012-10-20  Ani Peter  <apeter@redhat.com>

	* MIM/ml-itrans.mim: Add key mappings to the description.

2012-10-18  Kenichi Handa  <handa@gnu.org>

	* MIM/sa-itrans.mim: New input method.

	* MIM/hi-itrans.mim (variable:trim-last-halant): New variable.
	(map:independent, map:dependent): Add code for handling candra-e
	and Candra-o.
	(map:digit, map:dot, map:eo-dot-c): New maps.
	(state:intermediate, state:second): Handle variables
	LAST-HALANT-POS and CANDRA-E-O.
	(state:after-eo): Renamed from "third".

2012-10-02  Vishvas Vasuki  <vishvas.vasuki@gmail.com>

	* MIM/hi-itrans.mim: Add ".," for DOUBLE DANDA.  Add "nk", "ng",
	etc. for rapid typing.  Adopt shortcut typing "c", "z", "C, "S"
	from Kyoto-Harvard system.

2012-09-28  Kenichi Handa  <handa@gnu.org>

	* MIM/hi-itrans.mim: Fix handling of danda.

2012-09-18  Kenichi Handa  <handa@gnu.org>

	* Version 1.6.4 released.

2012-04-23  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.6.4.

2011-12-06  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/si-wijesekera.mim:
	Add alt-gr mappings (G- ) to correspond to alt mappings (A- ).

2011-12-05  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/am-sera.mim: Correct the mapping of "a" from U+12A3 to U+12A0.

2011-10-11  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.3 released.

2011-10-06  Kenichi Handa  <handa@m17n.org>

	* MIM/zh-util.mim (map:commit-preedit): Add SPC.

2011-09-12  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.6.3.

2011-08-02  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/ARAB-OTF-NO-GPOS.flt: Fix the handling of LAM-ALEF.

2011-03-22  Kenichi Handa  <handa@m17n.org>

	* po/de.po, po/ja.po, po/m17n-db.pot, po/vi.po: Update po files

2011-01-05  Kenichi Handa  <handa@m17n.org>

	* FORMATS/FLT.txt: Fix typo.

2010-12-08  Kenichi Handa  <handa@m17n.org>

	* MIM/kn-itrans.mim: Comment header ";;;" are changed to ";;" to
	avoid doxygen problem.

2010-12-07  Kenichi Handa  <handa@m17n.org>

	* FORMATS/IM-tut.txt: Fix typo.

	* FORMATS/Fontset.txt (FONT-SPEC): Fix typo.

2010-11-29  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/Makefile.am (INPUT_METHOD): Add ua-kbd.mim.

2010-11-29  Nikolay Orlyuk <virkony gmail com>  (tiny change)

	* icons/ua-kbd.png: New file.  Modified from ru-kbd.png.

	* MIM/ua-kbd.mim: New file.  Modified from ru-kbd.mim.

2010-11-26  Kenichi Handa  <handa@m17n.org>

	* MIM/Makefile.am (INPUT_METHOD): Remove bo-ewts.mim.

	* MIM/bo-ewts.mim: Moved to the m17n-contrib package with
	improvements by Hugues MOISY <hugues.moisy@gmail.com>.

2010-11-24  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/SINH-OTF.flt:
	Remove 0x0DDA from left matra group.  Add 0x0DDB to left matra group.

2010-10-25  Harshula <harshula@gmail.com>  (tiny change)

	* MIM/ta-lk-renganathan.mim (map:preedit):
	Unhandle those keys that belong to the map "starter" but not
	processed explicitly.

2010-10-04  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.2 released.

2010-10-04  gokul  <dotgokul@gmail.com>  (tiny change)

	* MIM/kn-itrans.mim: Remove LLi, LLI, and ksh to avoid
	confliction.  Change Lru to LRu.

2010-09-27  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/ARAB-OTF.flt, FLT/ARAB-OTF-NO-GPOS.flt:
	Do not require liga as a GSUB feature.

2010-09-22  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.6.2.

2010-09-17  Kenichi Handa  <handa@m17n.org>

	* FLT/ARAB-OTF-NO-GPOS.flt: Fix for the case of failed LAM-ALEF
	ligature.  Handle positioning of multiple diacritcs.  Fix typo.

2010-09-15  Kenichi Handa  <handa@m17n.org>

	* FLT/ARAB-OTF-NO-GPOS.flt: Mostly re-write for LAM-ALEF ligature.

2010-09-10  Kenichi Handa  <handa@m17n.org>

	* FONTSIZE.tbl: Remove the entry for Norasi font.

2010-09-10  Kenichi Handa  <handa@m17n.org>

	* SCRIPT.tbl (hebrew): Delete #x591.

2010-09-07  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* truetype.fst: Enhance preferred fonts for han.

	* xfont.fst: Reconstructed.

	* default.fst: Reconstructed.
	default.fst = generic.fst + xfont.fst.

	* generic.fst: Cosmetic changes.

	* truetype.fst: Reconstructed.
	truetype.fst = generic.fst + tested free truetype fonts.

2010-09-06  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* truetype.fst: More Reconstruction.

	* truetype.fst: Reconstructed.

2010-09-03  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* generic.fst: Reconstructed.

	* FLT/Makefile.am: Add HEBR-OTF.flt.

2010-09-02  Kenichi Handa  <handa@m17n.org>

	* Makefile.am (%.tab): Don't build BLOCK.tab.

2010-09-01  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/ARAB-OTF.flt: Use U+25CC for isolated vowel signs.

2010-07-16  Kenichi Handa  <handa@m17n.org>

	* po/de.po: Fix copyright.

	* po/LINGUAS: Add de.

2010-07-16  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/si-wijesekera.mim (map:preedit):
	Unhandle those keys that belong to the map "starter"
	but not to "independent", "kombuva", nor "dependent".

2010-07-01  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/HEBR-OTF.flt: New file.

2010-06-29  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/SINH-OTF.flt:
	Handle pres, abvs, blws and psts correctly as GSUB features.

2010-06-10  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/ja-trycode.mim:
	Add more kanji to catch up the new joyo kanji table.

2010-06-01  Gheyret T. Kenji  <gheyret@gmail.com>  (tiny change)

	* MIM/ug-kbd.mim: Correct the mapping of the underscore key.

2010-05-22  Kenichi Handa  <handa@m17n.org>

	* MIM/ko-han2.mim (state:state-LVT-or-LVTL): Add backspace branch.

2010-05-21  Kenichi Handa  <handa@m17n.org>

	* MIM/ko-han2.mim (map:L-or-T-head): Remove conflicting key
	sequences.
	(map:L): Likewise.  Add "rr", "ee", "qq" , "tt".
	(map:T-or-TL): Renamed from T. Set T1 in rules.
	(state:init): Remove branch T.
	(state:state-LV): Remove branch T.  Add branch T-or-TL.
	(state:state-LVT-or-LVTL): New state.

2010-05-20  Gheyret T. Kenji  <gheyret@gmail.com>  (tiny change)

	* MIM/ug-kbd.mim: Add three punctuations.

2010-04-22  Kenichi Handa  <handa@m17n.org>

	* default.fst (malayalam): Use mlym-otf for rachana.

2010-04-21  Kenichi Handa  <handa@m17n.org>

	* truetype.fst (malayalam): Use mlym-otf for rachana.

2010-04-13  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.1 released.

2010-04-13  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.6.1.

2010-04-07  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/SINH-OTF.flt: Change font download URL.

	* FLT/MYMR-SIL.flt: Use font-facility to check U+25CC's availability.

2010-04-02  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/SINH-OTF.flt: Follow the new Indic scripts' algorithm.

2010-03-30  Kenichi Handa  <handa@m17n.org>

	* Version 1.6.0 released.

2010-03-30  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.6.0.

	* Makefile.am (pkgdata_DATA): Add BLOCK.tab.
	(CHAR_TABLE): Remove BLOCK.tab.
	(BLOCK.tab): Delete this target.

2010-03-30  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/DEVA-OTF.flt, FLT/GUR2-OTF.flt, FLT/GURU-OTF.flt:
	Remove unused mnemonic.

2010-03-26  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/MLYM-OTF.flt: Chillu characters form consonant clusters.

2010-03-26  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/KNDA-OTF.flt, FLT/TELU-OTF.flt, FLT/TAML-OTF.flt,
	FLT/GURU-OTF.flt: Rewritten to emulate the new OTF behaviour by
	using old fonts.

	* FLT/ORYA-OTF.flt, FLT/MLYM-OTF.flt, FLT/BENG-OTF.flt,
	FLT/GUJR-OTF.flt, FLT/DEVA-OTF.flt: Include syllable final HJ to
	otf part.

2010-03-25  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/ORYA-OTF.flt (reorder): Add the patters JY and HJ before pstf.

	* FLT/MLYM-OTF.flt (reorder): Add the patters JP and HJ before pstf.

	* FLT/GUJR-OTF.flt (stage 1):
	Use iteration rather than recursive for reordering.

	* FLT/DEVA-OTF.flt (stage 2):
	Use iteration rather than recursive for reordering.

	* FLT/BENG-OTF.flt (stage 0):
	Use font-facility to check KHANDA-TA's availability.
	(reorder): Add the patterns JY and HJ before pstf.

2010-03-19  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/MLYM-OTF.flt, FLT/ORYA-OTF.flt, FLT/GUJR-OTF.flt,
	FLT/BENG-OTF.flt, FLT/DEVA-OTF.flt: Rewritten to emulate the new
	OTF behaviour by using old fonts.

2010-03-19  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.6.0pre.

	* po/ja.po, po/m17n-db.pot, po/vi.po: Re-generated.

2010-03-01  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/TML2-OTF.flt, FLT/TEL2-OTF.flt, FLT/ORY2-OTF.flt,
	FLT/MLM2-OTF.flt, FLT/KND2-OTF.flt, FLT/GUR2-OTF.flt,
	FLT/GJR2-OTF.flt, FLT/DEV2-OTF.flt, FLT/BNG2-OTF.flt: Use
	font-facility to check U+25CC's availability.

2010-02-26  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/MYMR-SIL.flt: Display non-spacing marks with DOTTED CIRCLE.

2010-02-26  Kenichi Handa  <handa@m17n.org>

	* truetype.fst (myanmar): Add mymr-sil.

	* default.fst (myanmar): Add mymr-sil.

	* FLT/MYMR-SIL.flt: Add grapheme cluster boundaring.

2010-02-19  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* generic.fst: Add mymr-sil for Myanmar.

	* generic.fst: Add new oft's for Indic scripts.

	* FLT/Makefile.am: More flt files.

	* FLT/MYMR-SIL.flt: New file.

2010-02-18  Kenichi Handa  <handa@m17n.org>

	* MIM/vi-telex.mim, MIM/vi-viqr.mim, MIM/vi-vni.mim, MIM/vi-tcvn.mim
	(state:init): If surrounding text is not supported, shift to
	after-c when an initial consonant is typed.
	(state:after-c): New state.

2010-02-12  Kenichi Handa  <handa@m17n.org>

	* UNIDATA/CaseFolding.txt, UNIDATA/copyright.html,
	UNIDATA/LineBreak.txt, UNIDATA/PropList.txt, UNIDATA/README,
	UNIDATA/Scripts.txt, UNIDATA/SpecialCasing.txt,
	UNIDATA/UnicodeData.txt, UNIDATA/WordBreakProperty.txt: Updated.

2010-01-25  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* SCRIPT.tbl: Add dev2, bng2, gur2, gjr2, ory2, tml2, tel2, knd2
	and mlm2.

	* FLT/MLM2-OTF.flt, FLT/KND2-OTF.flt, FLT/TEL2-OTF.flt,
	FLT/TML2-OTF.flt, FLT/ORY2-OTF.flt, FLT/GJR2-OTF.flt,
	FLT/GUR2-OTF.flt, FLT/BNG2-OTF.flt, FLT/DEV2-OTF.flt: New file.

2010-01-22  Kenichi Handa  <handa@m17n.org>

	* MIM/si-samanala.png: Modified.

	* MIM/si-wijesekera.png: Modified.

2010-01-21  Kenichi Handa  <handa@m17n.org>

	* MIM/si-samanala.mim (title): Changed.

2009-12-08  Kenichi Handa  <handa@m17n.org>

	* MIM/Makefile.am (INPUT_METHOD): Exclude
	si-wijesekera-preedit.mim.

2009-12-04  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/MLYM-OTF.flt: Add akhn in Stage 4 for lohit_ml.ttf.

2009-11-09  Ruddy  <kiru.pawnee@yahoo.fr>  (tiny change)

	* MIM/lo-lrt.mim (map:vowel-simple): Add "hya" map.

2009-11-02  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/si-wijesekera-preedit.mim: Removed.

	* MIM/si-wijesekera.mim: Disable surrounding text by default.
	Update information URL.

2009-10-28  Kenichi Handa  <handa@m17n.org>

	* SCRIPT.tbl (devanagari): Add OTF script tag "dev2".

2009-10-21  Kenichi Handa  <handa@m17n.org>

	* MIM/cmc-kbd.mim: Fix @+N notation.  Version set to 1.6.0.

2009-10-20  Kenichi Handa  <handa@m17n.org>

	* FLT/Makefile.am (FONT_LAYOUT_TABLE): Delet KHMR-MULE.flt.

2009-10-15  Kenichi Handa  <handa@m17n.org>

	* xfont.fst (khmer): Delete this script.

	* default.fst (khmer): Delete the entry for mulekhmer-1 font.

	* FLT/KHMR-MULE.flt: Delete it.

2009-09-04  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/si-wijesekera.mim:
	Merge si-wijesekera-preedit.mim to si-wijesekera.mim.

2009-09-03  Kenichi Handa  <handa@m17n.org>

	* default.fst: Remove cdac entries.

	* generic.fst: Remove cdac entries.

2009-09-02  Kenichi Handa  <handa@m17n.org>

	* icons/ru-phonetic.png: New file.

	* icons/zh-bopomofo.png: New file.

2009-07-28  Kenichi Handa  <handa@m17n.org>

	* Version 1.5.5 released.

2009-07-28  Kenichi Handa  <handa@m17n.org>

	* Makefile.am (EXTRA_DIST): Add bootstrap.sh.

	* configure.ac: Versions changed to 1.5.5.

2009-07-14  Kenichi Handa  <handa@m17n.org>

	* default.fst: Update URL for TibetanMachineUniAlpha.ttf.

2009-06-19  Kenichi Handa  <handa@m17n.org>

	* MIM/vi-base.mim (smart-quotes): New map.

	* MIM/vi-telex.mim (init): Add smart-quotes.

	* MIM/vi-tcvn.mim (init): Add smart-quotes.

	* MIM/vi-vni.mim (init): Add smart-quotes.

2009-04-14  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/si-wijesekera-preedit-alt.mim: Deleted.

	* MIM/Makefile.am: Remove si-wijesekera-preedit-alt.mim.

2009-03-11  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/unicode.mim:
	Move the "title" section to the canonicalised position.

2009-03-02  Kenichi Handa  <handa@m17n.org>

	* Version 1.5.4 released.

2009-03-02  Kenichi Handa  <handa@m17n.org>

	* UNIDATA/CaseFolding.txt, UNIDATA/LineBreak.txt,
	UNIDATA/PropList.txt, UNIDATA/Scripts.txt,
	UNIDATA/SpecialCasing.txt, UNIDATA/UnicodeData.txt,
	UNIDATA/WordBreakProperty.txt, UNIDATA/copyright.html: Updated.

	* po/ja.po, po/m17n-db.pot, po/vi.po: Re-generated.

2009-02-25  Kenichi Handa  <handa@m17n.org>

	* configure.ac: Versions changed to 1.5.4.

2009-01-19  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/bn-itrans.mim: Modify the descrpition string for readability.

	* MIM/fr-azerty.mim:
	Correct the keyword ("documentation" -> "description").

2009-01-16  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/ispell.mim, MIM/ug-kbd.mim, MIM/th-tis820.mim,
	MIM/th-pattachote.mim, MIM/th-kesmanee.mim, MIM/ko-han2.mim,
	MIM/ja-anthy.mim, MIM/bo-ewts.mim:
	Canonicalise section orders.

	* MIM/ja-trycode.mim: Add a new character.

2009-01-08  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/Makefile.am (INPUT_METHOD): Add hi-typewriter.mim,
	sa-harvard-kyoto.mim, si-wijesekera-preedit-alt.mim and
	ta-lk-renganathan.mim

2009-01-05  Kenichi Handa  <handa@m17n.org>

	* MIM/vi-viqr.mim (tone-mark): Fix the entries.

2008-12-26  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/Makefile.am (INPUT_METHOD): Add bo-tcrc.mim.

2008-11-17  Kenichi Handa  <handa@m17n.org>

	* FORMATS/Fontset.txt (FONT-SPEC): Add descripition of OTF-SPEC
	and LANG-SPEC.

2008-10-28  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/grc-mizuochi.mim:
	Fix wrong input sequences (H?V -> H?v , HV? -> Hv?).

2008-10-24  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/ta-lk-renganathan.mim: New file.

2008-10-20  Kenichi Handa  <handa@m17n.org>

	* Version 1.5.3 released.

2008-10-20  Phan Anh Dung  <fanzung@gmail.com>  (tiny change)

	* MIM/vi-telex.mim (map:consonant-ext): Don't check C-AFTER-V for
	"dd".
	(state:after-v, after-vc): New branch
	ending-1st-notviet-consonant.

2008-10-20  Phan Anh Dung  <fanzung@gmail.com>  (tiny change)

	* MIM/vi-base.mim (map:ending-1st-notviet-consonant) New map.

2008-10-14  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/MLYM-OTF.flt: Interpret CHCHJ as CHCH J rather than CH CHJ.

2008-10-09  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/MLYM-OTF.flt:
	Do not move H for LA's below form.  Let the fonts hadle it.
	Exclude chillu forms from the consonant group.

2008-10-08  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/MLYM-OTF.flt: Move 'pres' from Stage 6 to Stage 4.

2008-10-08  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* FLT/MLYM-OTF.flt:
	Add ZWJ to the chillu sequence passed to the OTF driver.
	Do not move syllable-final RA to the beginning.  Let the font handle it.

2008-09-25  TAKAHASHI Naoto  <ntakahas@m17n.org>

	* MIM/si-wijesekera.mim: Remove prototypes.

	* MIM/ug-kbd.mim:
	Change the constant representation "0x062c" to "0x062C".

	* MIM/si-wijesekera-preedit-alt.mim:
	Replace "+" in state names with "--".
